Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.core.impl.model.content
Class ContentProviderRegistryService

    java.lang.Object
      org.jboss.portal.core.impl.model.content.ContentProviderRegistryService

All Implemented Interfaces:
  InternalContentProviderRegistry, ContentProviderRegistry, ContentRendererRegistry

    public class ContentProviderRegistryService

extends java.lang.Object
implements InternalContentProviderRegistry

A simple registry to track the instance that provides content facilities.

Version:
  $Revision: 8786 $
Author:
  Julien Viet

Constructor Summary
`ContentProviderRegistryService()`

Method Summary
`ContentProvider` | `getContentProvider(ContentType contentType)`
`java.util.Collection` | `getContentTypes()`
`static ContentProviderRegistryService` | `getInstance()`
`ContentRenderer` | `getRenderer(ContentType contentType)`
`void` | `registerContentProvider(InternalContentProvider contentProvider)`
`void` | `start()`
`void` | `stop()`
`void` | `unregisterContentProvider(ContentType contentType)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ContentProviderRegistryService

    public ContentProviderRegistryService()

Method Detail

### getInstance

    public static ContentProviderRegistryService getInstance()

### registerContentProvider

    public void registerContentProvider(InternalContentProvider contentProvider)

  Specified by:
    `registerContentProvider` in interface `InternalContentProviderRegistry`

### unregisterContentProvider

    public void unregisterContentProvider(ContentType contentType)

  Specified by:
    `unregisterContentProvider` in interface `InternalContentProviderRegistry`

### start

    public void start()

### stop

    public void stop()

### getContentTypes

    public java.util.Collection getContentTypes()

  Specified by:
    `getContentTypes` in interface `ContentProviderRegistry`
  Specified by:
    `getContentTypes` in interface `ContentRendererRegistry`
  Returns:

### getContentProvider

    public ContentProvider getContentProvider(ContentType contentType)

  Specified by:
    `getContentProvider` in interface `ContentProviderRegistry`

### getRenderer

    public ContentRenderer getRenderer(ContentType contentType)

  Specified by:
    `getRenderer` in interface `ContentRendererRegistry`
  Returns:

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD